summaryrefslogtreecommitdiffstats
path: root/games/nottetris2/nottetris2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/nottetris2/nottetris2.SlackBuild')
-rw-r--r--games/nottetris2/nottetris2.SlackBuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/games/nottetris2/nottetris2.SlackBuild b/games/nottetris2/nottetris2.SlackBuild
new file mode 100644
index 0000000000..fe991f32b9
--- /dev/null
+++ b/games/nottetris2/nottetris2.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for nottetris2
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Original download URL is:
+# http://stabyourself.net/dl.php?file=nottetris2/nottetris2-source.zip
+# I hosted a copy on my server with a more wget-friendly URL.
+
+# VERSION is just the modification date of the .love file.
+
+PRGNAM=nottetris2
+VERSION=${VERSION:-20110620}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# filenames with spaces, tread carefully warrior!
+PAYLOAD="Not Tetris 2.love"
+README="Not Readme.txt"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-source.zip
+
+# no find/chmod boilerplate, everything installed with explicit permissions.
+
+mkdir -p $PKG/usr/games/
+echo '#!/usr/bin/env love-0.7.2' > $PKG/usr/games/$PRGNAM
+cat "$PAYLOAD" >> $PKG/usr/games/$PRGNAM
+chmod 755 $PKG/usr/games/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m0644 -oroot -groot "$README" $PKG/usr/doc/$PRGNAM-$VERSION
+
+# .desktop written for this build
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# icon is part of the title screen, diked out with gimp
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}